<fd-shellbar [size]="mobile ? 's' : 'l'" *ngIf="!luigiOption">
  <button
    *ngIf="!mobile"
    fd-shellbar-side-nav
    fd-button
    [fdType]="'transparent'"
    [glyph]="'menu2'"
    (click)="condensed = !condensed"
  ></button>
  <fd-shellbar-logo>
    <a
      href="#"
      class="fd-shellbar__logo fd-shellbar__logo--image-replaced"
      aria-label="SAP"
    ></a>
  </fd-shellbar-logo>
  <fd-shellbar-title>
    {{ title }}
  </fd-shellbar-title>
  <fd-shellbar-actions
    [user]="user"
    [userMenu]="userMenu"
    [closePopoverOnSelect]="true"
  >
  </fd-shellbar-actions>
</fd-shellbar>
<div class="main-container-div">
  <fd-side-nav [condensed]="condensed || mobile" *ngIf="!luigiOption">
    <div fd-side-nav-main>
      <li fd-nested-list-item>
        <a fd-nested-list-link routerLink="/dashboard">
          <span fd-nested-list-icon glyph="home"></span>
          <span fd-nested-list-title>{{ "dashboard" | titlecase }}</span>
        </a>
      </li>
      <li fd-nested-list-item [expanded]="false">
        <div fd-nested-list-content>
          <a fd-nested-list-link>
            <span fd-nested-list-icon glyph="folder"></span>
            <span fd-nested-list-title>{{ "compras" | titlecase }}</span>
          </a>
          <button fd-nested-list-expand-icon></button>
        </div>
        <ul fd-nested-list [fdCompact]="globalCompact" [textOnly]="false">
          <li fd-nested-list-item *ngFor="let mainItem of sideNavMain">
            <a fd-nested-list-link [routerLink]="mainItem.route">
              <span fd-nested-list-icon [glyph]="mainItem.icon"></span>
              <span fd-nested-list-title>{{ mainItem.title | titlecase }}</span>
            </a>
          </li>
        </ul>
      </li>
    </div>
    <div fd-side-nav-utility>
      <ul fd-nested-list [textOnly]="false">
        <li fd-nested-list-item *ngFor="let secondItem of sideNavSecondary">
          <a fd-nested-list-link [routerLink]="secondItem.route">
            <span fd-nested-list-icon [glyph]="secondItem.icon"></span>
            <span fd-nested-list-title>{{ secondItem.title | titlecase }}</span>
          </a>
        </li>
      </ul>
    </div>
  </fd-side-nav>
  <ng-content></ng-content>
</div>

<link rel="stylesheet" *ngIf="cssUrl" [href]="cssUrl" />
<link rel="stylesheet" *ngIf="cssCustomUrl" [href]="cssCustomUrl" />
